/**
 * <copyright>
 * </copyright>
 *
 * $Id: LiftAnalysisValidator.java,v 1.1 2008-04-01 09:35:50 vmahe Exp $
 */
package orgomg.cwm.analysis.datamining.supervised.validation;

import org.eclipse.emf.common.util.EList;

import orgomg.cwm.analysis.datamining.miningcore.miningdata.Category;

import orgomg.cwm.analysis.datamining.supervised.LiftAnalysisPoint;
import orgomg.cwm.analysis.datamining.supervised.MiningTestResult;

/**
 * A sample validator interface for {@link orgomg.cwm.analysis.datamining.supervised.LiftAnalysis}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface LiftAnalysisValidator {
	boolean validate();

	boolean validateTargetAttributeName(String value);
	boolean validateTestResult(MiningTestResult value);
	boolean validatePoint(EList<LiftAnalysisPoint> value);
	boolean validatePositiveTargetCategory(EList<Category> value);
}
